/videoAnalyticEvents:deepSearchGroupByResource

Fetches matching video analytic event frequencies grouped as requested. The response is a list of groups, each with a count of matching events, and optionally a sample event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
date-time
required

Minimum range of timestamp to fetch events after this time. Default would be 2 hours from current time.

date-time
required

Maximum range of timestamp to fetch events before this time. Default would be the current time.

actor__in
array of objects

Filter to get only events where the actorType and actorId value equals any one of the supplied value in the list. The actorType must be prefixed to the actorId using a colon (:) separator. For example:

  • To filter for a camera with ID cameraId_1, use camera:cameraId_1.
  • To filter for a location with ID locationId_1, use location:locationId_1.
  • To filter for a bridge with ID bridgeId_1, use bridge:bridgeId_1.

Currently, the following actorType values are supported:

  • camera: Matches the specific camera ID.
  • location: Matches all camera IDs associated with the specified location ID(s).
  • bridge: Matches all camera IDs associated with the specified bridge ID(s).

If multiple actor types are provided (e.g., camera, location, and bridge), the filter will include camera IDs associated with any of the given values.

actor__in
layoutId__in
array of strings

Filter to get only events associated with camera Ids mapped to the specified layout Ids. Accepts a comma-separated list of layout Ids (e.g., layoutId_1,layoutId_2). All matching camera IDs for the provided layout IDs will be included in the result.

layoutId__in
tags__any
array of strings

Filter to get only events associated with camera Ids mapped to the specified tag Ids. Accepts a comma-separated list of tag Ids (e.g., tagId_1,tagId_2). All matching camera IDs for the provided tag IDs will be included in the result. Here the suffix __any is used to indicate that the filter is an OR operation, i.e., events associated with any of the provided tag IDs will be included in the result.

tags__any
roiName__in
array of objects

Matches with all events that have at least one motion-event related region with a name containing one or more of the values in this list. Matching is done exactly but is not case-sensitive.

roiName__in
creatorId__in
array of objects

Filter to get only events that have a creatorId value that equals one of the given parameter values.

To get the list of creatorIds that have been recorded for a specific actor/device, use /videoAnalyticEvents:listFieldValues.

creatorId__in
eventType__in
array of objects

Filter to get only events that have a type value that equals one of the given parameter values.

To get the list of event types that have been recorded for a specific actor/device, use /videoAnalyticEvents:listFieldValues.

eventType__in
string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

include
array of strings

List of properties that should be included in the response, if available. The data field can be used as prefix to request data if it is available. Eg. if the client wants to have object detection details and supports the een.objectDetection.v1 schemas, it can add data.een.objectDetection.v1 to the list of requested includes. This parameter does not operate as a filter, events without the requested properties are still returned.

include
string of strings
enum
Defaults to -timestamp

Provide options to sort in ascending or descending order based on timestamp/events count/alphabetical order

Allowed:
string
enum
Defaults to camera

Contains the information on the event metadata on which the grouping has to be executed. Currently supports camera based grouping only

Allowed:
Body Params

The request body can be used to add additional object details based on various combinations of the object metadata.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json